Bug 243204 - net/whois: Conflicts (CONFLICTS_INSTALL) with irc/ircd-hybrid: bin/mkpasswd
Summary: net/whois: Conflicts (CONFLICTS_INSTALL) with irc/ircd-hybrid: bin/mkpasswd
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Santhosh Raju
URL:
Keywords: easy, needs-patch
Depends on:
Blocks:
 
Reported: 2020-01-09 03:37 UTC by Bunny Evans
Modified: 2020-01-23 09:22 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback? (coco)
fox: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Renames mkpasswd to ircd-mkpasswd to avoid conflicts. (1.32 KB, patch)
2020-01-09 09:57 UTC, Santhosh Raju
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bunny Evans 2020-01-09 03:37:40 UTC
Trying to install whois-5-2.17 results in the following.

Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking integrity... done (1 conflicting)
  - whois-5.2.17 conflicts with ircd-hybrid-8.2.26 on /usr/local/bin/mkpasswd
Checking integrity... done (0 conflicting)
The following 3 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        ircd-hybrid-8.2.26

New packages to be INSTALLED:
        whois: 5.2.17

Installed packages to be REINSTALLED:
        pkg-1.12.0

Number of packages to be removed: 1
Number of packages to be installed: 1
Number of packages to be reinstalled: 1

The operation will free 2 MiB.
7 MiB to be downloaded.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-09 03:54:34 UTC
^Triage: 

- Correct summary (category/portname)
- CC/feedback from both maintainers
- irc/ircd-hybrid is maintained by a committer, assign accordingly
Comment 2 Santhosh Raju freebsd_committer 2020-01-09 08:45:40 UTC
Thank you for the bug report, I shall look into this and get back to you.
Comment 3 Santhosh Raju freebsd_committer 2020-01-09 09:57:38 UTC
Created attachment 210559 [details]
Renames mkpasswd to ircd-mkpasswd to avoid conflicts.

Let me know if the above patch helps resolve the issue.

mkpasswd installed by ircd-hybrid will now be referred to as ircd-mkpasswd.
Comment 4 Santhosh Raju freebsd_committer 2020-01-22 10:04:32 UTC
If there are no other objects, I shall commit this change sometime this week.
Comment 5 commit-hook freebsd_committer 2020-01-23 09:20:02 UTC
A commit references this bug:

Author: fox
Date: Thu Jan 23 09:19:39 UTC 2020
New revision: 523914
URL: https://svnweb.freebsd.org/changeset/ports/523914

Log:
  irc/ircd-hybrid: Updates to 8.2.27

  Renames mkpasswd to ircd-hybrid-mkpasswd to avoid conflicts with other packages.

  Changes since 8.2.26:

  -- Noteworthy changes in version 8.2.27 (2020-01-22)
  o) Experimental support for wolfSSL has been implemented. Minimum supported version is 4.3.0
  o) The --enable-openssl, --enable-gnutls switches, and their disabling counterparts
     --disable-openssl and --disable-gnutls, have been replaced with the --with-tls switch
     which takes one of the following options: 'openssl', 'wolfssl', 'gnutls', and 'none'.
     If nothing has been specified, configure tries to autodetect in the following order:
     openssl/libressl -> gnutls -> wolfssl.
  o) Fixed segfault with GnuTLS/libgmp in case there's no DH parameters file
     defined in 'serverinfo::ssl_dh_param_file' or if that file is missing
  o) The connection timeout for connect{} blocks can now be configured via
     the 'connect::timeout' configuration directive
  o) Minimum supported OpenSSL version is 1.1.1 now
  o) Minimum supported GnuTLS version is 3.6.5 now
  o) Supported TLSv1.3 cipher suites can now be configured explicitely via the
     new 'serverinfo::tls_cipher_suites' configuration directive
  o) In the serverinfo {} block, the following configuration directives have been renamed:
       ssl_certificate_file -> tls_certificate_file
       ssl_dh_param_file -> tls_dh_param_file
       ssl_dh_elliptic_curve -> tls_supported_groups
       ssl_cipher_list -> tls_cipher_list
       ssl_message_digest_algorithm -> tls_message_digest_algorithm
  o) In the operator {} block, the following configuration directives have been renamed:
       ssl_certificate_fingerprint -> tls_certificate_fingerprint
       ssl_connection_required -> tls_connection_required
  o) In the connect {} block, the following configuration directives have been renamed:
       ssl_cipher_list -> tls_cipher_list
       ssl_certificate_fingerprint -> tls_certificate_fingerprint

  PR:	243204

Changes:
  head/irc/ircd-hybrid/Makefile
  head/irc/ircd-hybrid/distinfo
  head/irc/ircd-hybrid/files/pkg-message.in
  head/irc/ircd-hybrid/pkg-plist
Comment 6 Santhosh Raju freebsd_committer 2020-01-23 09:22:22 UTC
The latest commit renamed mkpasswd as ircd-hybrid-mkpasswd, this should fix install conflict reported above.

In case of the problem not being resolved, feel free to re-open this issue.

Thank you for the bug report.